Class StudioXformBuilder
Inheritance
System.Object
System.MarshalByRefObject
StudioXformBuilder
Implements
System.Runtime.Remoting.Messaging.IMessageSink
Inherited Members
System.MarshalByRefObject.CreateObjRef(System.Type)
System.MarshalByRefObject.GetLifetimeService()
System.MarshalByRefObject.InitializeLifetimeService()
System.MarshalByRefObject.MemberwiseClone(System.Boolean)
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
Assembly: NXOpen.dll
[Obsolete("Deprecated in NX8.5.0. Use NXOpen.Features.StudioXformBuilderEx instead.")]
public class StudioXformBuilder : FeatureBuilder, IMessageSink, IComponentBuilder
Constructors
Declaration
protected StudioXformBuilder()
Properties
Declaration
[Obsolete("Deprecated in NX8.5.0. Use NXOpen.Features.StudioXformBuilderEx instead..")]
public StudioXformBuilder.AdvancedMethodType AdvancedMethod { get; set; }
Property Value
Declaration
[Obsolete("Deprecated in NX8.5.0. Use NXOpen.Features.StudioXformBuilderEx instead..")]
public Point CenterPoint { get; set; }
Property Value
Declaration
[Obsolete("Deprecated in NX8.5.0. Use NXOpen.Features.StudioXformBuilderEx instead..")]
public Continuity ContinuityUMax { get; }
Property Value
Declaration
[Obsolete("Deprecated in NX8.5.0. Use NXOpen.Features.StudioXformBuilderEx instead..")]
public Continuity ContinuityUMin { get; }
Property Value
Declaration
[Obsolete("Deprecated in NX8.5.0. Use NXOpen.Features.StudioXformBuilderEx instead..")]
public Continuity ContinuityVMax { get; }
Property Value
Declaration
[Obsolete("Deprecated in NX8.5.0. Use NXOpen.Features.StudioXformBuilderEx instead..")]
public Continuity ContinuityVMin { get; }
Property Value
Declaration
[Obsolete("Deprecated in NX8.5.0. Use NXOpen.Features.StudioXformBuilderEx instead..")]
public ControlPoleManagerData ControlPoleManager { get; }
Property Value
Declaration
[Obsolete("Deprecated in NX8.5.0. Use NXOpen.Features.StudioXformBuilderEx instead..")]
public CurveRangeBuilder CurveRange { get; }
Property Value
Declaration
[Obsolete("Deprecated in NX8.5.0. Use NXOpen.Features.StudioXformBuilderEx instead..")]
public DegreesAndSegmentsOrPatchesBuilder DegreesAndSegmentsOrPatches { get; }
Property Value
Declaration
[Obsolete("Deprecated in NX8.5.0. Use NXOpen.Features.StudioXformBuilderEx instead..")]
public double FallOffScale { get; set; }
Property Value
Type |
Description |
System.Double |
|
Declaration
[Obsolete("Deprecated in NX8.5.0. Use NXOpen.Features.StudioXformBuilderEx instead..")]
public StudioXformBuilder.FeatureType FeatureSaveMethod { get; set; }
Property Value
Declaration
[Obsolete("Deprecated in NX8.5.0. Use NXOpen.Features.StudioXformBuilderEx instead..")]
public StudioXformBuilder.InsertKnotDirectionType InsertKnotDirection { get; set; }
Property Value
Declaration
[Obsolete("Deprecated in NX8.5.0. Use NXOpen.Features.StudioXformBuilderEx instead..")]
public int InsertKnotParameter { get; set; }
Property Value
Type |
Description |
System.Int32 |
|
Declaration
[Obsolete("Deprecated in NX8.5.0. Use NXOpen.Features.StudioXformBuilderEx instead..")]
public bool IsSingleSelection { get; set; }
Property Value
Type |
Description |
System.Boolean |
|
Declaration
[Obsolete("Deprecated in NX8.5.0. Use NXOpen.Features.StudioXformBuilderEx instead..")]
public bool KeepAllContinuity { get; set; }
Property Value
Type |
Description |
System.Boolean |
|
Declaration
[Obsolete("Deprecated in NX8.5.0. Use NXOpen.Features.StudioXformBuilderEx instead..")]
public int LockRegionUEndFlexibility { get; set; }
Property Value
Type |
Description |
System.Int32 |
|
Declaration
[Obsolete("Deprecated in NX8.5.0. Use NXOpen.Features.StudioXformBuilderEx instead..")]
public int LockRegionUStartFlexibility { get; set; }
Property Value
Type |
Description |
System.Int32 |
|
Declaration
[Obsolete("Deprecated in NX8.5.0. Use NXOpen.Features.StudioXformBuilderEx instead..")]
public int LockRegionVEndFlexibility { get; set; }
Property Value
Type |
Description |
System.Int32 |
|
Declaration
[Obsolete("Deprecated in NX8.5.0. Use NXOpen.Features.StudioXformBuilderEx instead..")]
public int LockRegionVStartFlexibility { get; set; }
Property Value
Type |
Description |
System.Int32 |
|
Declaration
[Obsolete("Deprecated in NX8.5.0. Use NXOpen.Features.StudioXformBuilderEx instead..")]
public Point PivotPoint { get; set; }
Property Value
Declaration
[Obsolete("Deprecated in NX8.5.0. Use NXOpen.Features.StudioXformBuilderEx instead..")]
public Plane PlanarizeArbitraryPlane { get; set; }
Property Value
Declaration
[Obsolete("Deprecated in NX8.5.0. Use NXOpen.Features.StudioXformBuilderEx instead..")]
public StudioXformBuilder.PlanarizeDirectionType PlanarizeDirection { get; set; }
Property Value
Declaration
[Obsolete("Deprecated in NX8.5.0. Use NXOpen.Features.StudioXformBuilderEx instead..")]
public StudioXformBuilder.PlanarizeMethodType PlanarizeMethod { get; set; }
Property Value
Declaration
[Obsolete("Deprecated in NX8.5.0. Use NXOpen.Features.StudioXformBuilderEx instead..")]
public StudioXformBuilder.PlanarizePlaneOptionType PlanarizePlaneOption { get; set; }
Property Value
Declaration
[Obsolete("Deprecated in NX8.5.0. Use NXOpen.Features.StudioXformBuilderEx instead..")]
public bool ProportionalAllU { get; set; }
Property Value
Type |
Description |
System.Boolean |
|
Declaration
[Obsolete("Deprecated in NX8.5.0. Use NXOpen.Features.StudioXformBuilderEx instead..")]
public bool ProportionalAllV { get; set; }
Property Value
Type |
Description |
System.Boolean |
|
Declaration
[Obsolete("Deprecated in NX8.5.0. Use NXOpen.Features.StudioXformBuilderEx instead..")]
public double ProportionalFallOffScale { get; set; }
Property Value
Type |
Description |
System.Double |
|
Declaration
[Obsolete("Deprecated in NX8.5.0. Use NXOpen.Features.StudioXformBuilderEx instead..")]
public int ProportionalMoveAfterU { get; set; }
Property Value
Type |
Description |
System.Int32 |
|
Declaration
[Obsolete("Deprecated in NX8.5.0. Use NXOpen.Features.StudioXformBuilderEx instead..")]
public int ProportionalMoveAfterV { get; set; }
Property Value
Type |
Description |
System.Int32 |
|
Declaration
[Obsolete("Deprecated in NX8.5.0. Use NXOpen.Features.StudioXformBuilderEx instead..")]
public int ProportionalMoveBeforeU { get; set; }
Property Value
Type |
Description |
System.Int32 |
|
Declaration
[Obsolete("Deprecated in NX8.5.0. Use NXOpen.Features.StudioXformBuilderEx instead..")]
public int ProportionalMoveBeforeV { get; set; }
Property Value
Type |
Description |
System.Int32 |
|
Declaration
[Obsolete("Deprecated in NX8.5.0. Use NXOpen.Features.StudioXformBuilderEx instead..")]
public StudioXformBuilder.RotatingPivotType RotatingPivot { get; set; }
Property Value
Declaration
[Obsolete("Deprecated in NX8.5.0. Use NXOpen.Features.StudioXformBuilderEx instead..")]
public Plane RotationArbitraryPlane { get; set; }
Property Value
Declaration
[Obsolete("Deprecated in NX8.5.0. Use NXOpen.Features.StudioXformBuilderEx instead..")]
public Direction RotationArbitraryVector { get; set; }
Property Value
Declaration
[Obsolete("Deprecated in NX8.5.0. Use NXOpen.Features.StudioXformBuilderEx instead..")]
public StudioXformBuilder.RotationDirectionType RotationDirection { get; set; }
Property Value
Declaration
[Obsolete("Deprecated in NX8.5.0. Use NXOpen.Features.StudioXformBuilderEx instead..")]
public Plane ScalingArbitraryPlane { get; set; }
Property Value
Declaration
[Obsolete("Deprecated in NX8.5.0. Use NXOpen.Features.StudioXformBuilderEx instead..")]
public Direction ScalingArbitraryVector { get; set; }
Property Value
Declaration
[Obsolete("Deprecated in NX8.5.0. Use NXOpen.Features.StudioXformBuilderEx instead..")]
public StudioXformBuilder.ScalingCenterType ScalingCenter { get; set; }
Property Value
Declaration
[Obsolete("Deprecated in NX8.5.0. Use NXOpen.Features.StudioXformBuilderEx instead..")]
public StudioXformBuilder.ScalingDirectionType ScalingDirection { get; set; }
Property Value
Declaration
[Obsolete("Deprecated in NX8.5.0. Use NXOpen.Features.StudioXformBuilderEx instead..")]
public SurfaceRangeBuilder SurfaceRange { get; }
Property Value
Declaration
[Obsolete("Deprecated in NX8.5.0. Use NXOpen.Features.StudioXformBuilderEx instead..")]
public Plane TranslationArbitraryPlane { get; set; }
Property Value
Declaration
[Obsolete("Deprecated in NX8.5.0. Use NXOpen.Features.StudioXformBuilderEx instead..")]
public Direction TranslationArbitraryVector { get; set; }
Property Value
Declaration
[Obsolete("Deprecated in NX8.5.0. Use NXOpen.Features.StudioXformBuilderEx instead..")]
public StudioXformBuilder.TranslationDirectionType TranslationDirection { get; set; }
Property Value
Declaration
[Obsolete("Deprecated in NX8.5.0. Use NXOpen.Features.StudioXformBuilderEx instead..")]
public StudioXformBuilder.Types Type { get; set; }
Property Value
Declaration
[Obsolete("Deprecated in NX8.5.0. Use NXOpen.Features.StudioXformBuilderEx instead..")]
public SelectNXObjectList XformObjects { get; }
Property Value
Methods
Declaration
[Obsolete("Deprecated in NX8.5.0. Use NXOpen.Features.StudioXformBuilderEx instead..")]
public void ChangeDegree(NXObject xformObject)
Parameters
Type |
Name |
Description |
NXObject |
xformObject |
|
Declaration
[Obsolete("Deprecated in NX8.5.0. Use NXOpen.Features.StudioXformBuilderEx instead..")]
public void ChangeFlexibility(NXObject xformObject)
Parameters
Type |
Name |
Description |
NXObject |
xformObject |
|
Declaration
[Obsolete("Deprecated in NX8.5.0. Use NXOpen.Features.StudioXformBuilderEx instead..")]
public void ConvertParameters(NXObject xformObject)
Parameters
Type |
Name |
Description |
NXObject |
xformObject |
|
Declaration
[Obsolete("Deprecated in NX8.5.0. Use NXOpen.Features.StudioXformBuilderEx instead..")]
public void FallOffReset()
Declaration
[Obsolete("Deprecated in NX8.5.0. Use NXOpen.Features.StudioXformBuilderEx instead..")]
public void InsertKnot(NXObject xformObject)
Parameters
Type |
Name |
Description |
NXObject |
xformObject |
|
Declaration
[Obsolete("Deprecated in NX8.5.0. Use NXOpen.Features.StudioXformBuilderEx instead..")]
public void InsertKnots()
Declaration
[Obsolete("Deprecated in NX8.5.0. Use NXOpen.Features.StudioXformBuilderEx instead..")]
public void ProportionalReset()
Declaration
[Obsolete("Deprecated in NX8.5.0. Use NXOpen.Features.StudioXformBuilderEx instead..")]
public void ShapeReset()
Declaration
[Obsolete("Deprecated in NX8.5.0. Use NXOpen.Features.StudioXformBuilderEx instead..")]
public void UpdateLockRegionGeometry(NXObject xformObject)
Parameters
Type |
Name |
Description |
NXObject |
xformObject |
|
Declaration
[Obsolete("Deprecated in NX8.5.0. Use NXOpen.Features.StudioXformBuilderEx instead..")]
public void UpdateXformObject(NXObject xformObject)
Parameters
Type |
Name |
Description |
NXObject |
xformObject |
|
Implements
System.Runtime.Remoting.Messaging.IMessageSink